From 9596e30f78ccbcc8294e0cee31bfbd8fdf2ee1af Mon Sep 17 00:00:00 2001
From: Benno Schulenberg <bensberg@telfort.nl>
Date: Thu, 23 May 2019 12:43:31 +0200
Subject: [PATCH 5/8] help: don't check for confinement when opening a
 temporary help-text file

In other words: don't crash when typing ^G when --operatingdir was used.

This fixes https://savannah.gnu.org/bugs/?56369.

Bug existed since version 2.8.2.
---
 src/files.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/files.c b/src/files.c
index bbdcd289..afdaeeb5 100644
--- a/src/files.c
+++ b/src/files.c
@@ -425,7 +425,7 @@ bool open_buffer(const char *filename, bool new_buffer)
 	as_an_at = FALSE;
 
 #ifdef ENABLE_OPERATINGDIR
-	if (outside_of_confinement(filename, FALSE)) {
+	if (!inhelp && outside_of_confinement(filename, FALSE)) {
 		statusline(ALERT, _("Can't read file from outside of %s"),
 								operating_dir);
 		return FALSE;
-- 
2.20.1

